NX Open C++ Reference Guide
Classes | Public Types | Public Member Functions | List of all members
NXOpen::Features::FillHoleBuilder Class Reference

Represents a NXOpen::Features::FillHole builder
To create a new instance of this class, use NXOpen::Features::FreeformSurfaceCollection::CreateFillHoleBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::FillHoleBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Classes

struct  BorderContinuity
 Represents continuity value at a border curve. More...
 

Public Types

enum  ContinuityTypes { ContinuityTypesG0, ContinuityTypesG1, ContinuityTypesG2 }
 border continuity connects border object with the surface continuity More...
 
enum  ShapeControlTypes {
  ShapeControlTypesNone, ShapeControlTypesFullness, ShapeControlTypesPassThroughCurves, ShapeControlTypesFitToPoints,
  ShapeControlTypesFitToFacet
}
 type of the shape control More...
 

Public Member Functions

int AreaControl ()
 Returns the area control ratio of the facet body
Created in NX10.0.0. More...
 
int Attraction ()
 Returns the attraction ratio to the facet body
Created in NX10.0.0. More...
 
NXOpen::SectionCurveChain ()
 Returns the curve chain
Created in NX9.0.1. More...
 
NXOpen::Features::FillHoleBuilder::ContinuityTypes DefaultEdgeContinuity ()
 Returns the default continuity of edges. More...
 
NXOpen::Facet::SelectFacetedBodyFacetBody ()
 Returns the facet body to which the fill hole patch is fitted to
Created in NX10.0.0. More...
 
NXOpen::ExpressionFullness ()
 Returns the fullness
Created in NX9.0.1. More...
 
NXOpen::PointFullnessPoint ()
 Returns the point at corner A. More...
 
std::vector
< NXOpen::Features::FillHoleBuilder::BorderContinuity
GetBorderTypeItems ()
 Returns array of continuity items. More...
 
bool Patch ()
 Returns the patch into part flag
Created in NX9.0.1. More...
 
NXOpen::Point3d PickPoint ()
 Returns the picking point on the facet body
Created in NX10.0.0. More...
 
NXOpen::SectionSelectPassThrougCurves ()
 Returns the pass through curves
Created in NX9.0.1. More...
 
void SetAreaControl (int areaControl)
 Sets the area control ratio of the facet body
Created in NX10.0.0. More...
 
void SetAttraction (int attraction)
 Sets the attraction ratio to the facet body
Created in NX10.0.0. More...
 
void SetBorderTypeItems (const std::vector< NXOpen::Features::FillHoleBuilder::BorderContinuity > &markerToNodeListItem)
 Sets array of continuity items
Created in NX9.0.1. More...
 
void SetDefaultEdgeContinuity (NXOpen::Features::FillHoleBuilder::ContinuityTypes defaultEdgeContinuity)
 Sets the default continuity of edges. More...
 
void SetFullnessPoint (NXOpen::Point *point)
 Sets the point at corner A. More...
 
void SetPatch (bool patch)
 Sets the patch into part flag
Created in NX9.0.1. More...
 
void SetPickPoint (const NXOpen::Point3d &pickPoint)
 Sets the picking point on the facet body
Created in NX10.0.0. More...
 
void SetShapeControlType (NXOpen::Features::FillHoleBuilder::ShapeControlTypes shapeControlType)
 Sets the shape control type
Created in NX9.0.1. More...
 
void SetTolerance (double double0)
 Sets the tolerance
Created in NX9.0.1. More...
 
NXOpen::Features::FillHoleBuilder::ShapeControlTypes ShapeControlType ()
 Returns the shape control type
Created in NX9.0.1. More...
 
double Tolerance ()
 Returns the tolerance
Created in NX9.0.1. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::FillHole builder
To create a new instance of this class, use NXOpen::Features::FreeformSurfaceCollection::CreateFillHoleBuilder
Default values.

Property Value

AreaControl

50

Attraction

50

DefaultEdgeContinuity

G1

Fullness.Value

10.0

Patch

0

ShapeControlType

None


Created in NX9.0.1.

Member Enumeration Documentation

border continuity connects border object with the surface continuity

Enumerator
ContinuityTypesG0 

G0 continuity.

ContinuityTypesG1 

G1 continuity.

ContinuityTypesG2 

G2 continuity.

type of the shape control

Enumerator
ShapeControlTypesNone 

none

ShapeControlTypesFullness 

fullness

ShapeControlTypesPassThroughCurves 

pass through curves

ShapeControlTypesFitToPoints 

fit to points

ShapeControlTypesFitToFacet 

fit to facet

Member Function Documentation

int NXOpen::Features::FillHoleBuilder::AreaControl ( )

Returns the area control ratio of the facet body
Created in NX10.0.0.



License requirements : None

int NXOpen::Features::FillHoleBuilder::Attraction ( )

Returns the attraction ratio to the facet body
Created in NX10.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::FillHoleBuilder::CurveChain ( )

Returns the curve chain
Created in NX9.0.1.



License requirements : None

NXOpen::Features::FillHoleBuilder::ContinuityTypes NXOpen::Features::FillHoleBuilder::DefaultEdgeContinuity ( )

Returns the default continuity of edges.

The default continuity will be applied to new selected edges
Created in NX10.0.0.

License requirements : None

NXOpen::Facet::SelectFacetedBody* NXOpen::Features::FillHoleBuilder::FacetBody ( )

Returns the facet body to which the fill hole patch is fitted to
Created in NX10.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::FillHoleBuilder::Fullness ( )

Returns the fullness
Created in NX9.0.1.



License requirements : None

NXOpen::Point* NXOpen::Features::FillHoleBuilder::FullnessPoint ( )

Returns the point at corner A.


Created in NX9.0.1.

License requirements : None

std::vector<NXOpen::Features::FillHoleBuilder::BorderContinuity> NXOpen::Features::FillHoleBuilder::GetBorderTypeItems ( )

Returns array of continuity items.

Returns

Created in NX9.0.1.

License requirements : None
bool NXOpen::Features::FillHoleBuilder::Patch ( )

Returns the patch into part flag
Created in NX9.0.1.



License requirements : None

NXOpen::Point3d NXOpen::Features::FillHoleBuilder::PickPoint ( )

Returns the picking point on the facet body
Created in NX10.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::FillHoleBuilder::SelectPassThrougCurves ( )

Returns the pass through curves
Created in NX9.0.1.



License requirements : None

void NXOpen::Features::FillHoleBuilder::SetAreaControl ( int  areaControl)

Sets the area control ratio of the facet body
Created in NX10.0.0.



License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
areaControlareacontrol
void NXOpen::Features::FillHoleBuilder::SetAttraction ( int  attraction)

Sets the attraction ratio to the facet body
Created in NX10.0.0.



License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
attractionattraction
void NXOpen::Features::FillHoleBuilder::SetBorderTypeItems ( const std::vector< NXOpen::Features::FillHoleBuilder::BorderContinuity > &  markerToNodeListItem)

Sets array of continuity items
Created in NX9.0.1.



License requirements : None

Parameters
markerToNodeListItemmarkertonodelistitem
void NXOpen::Features::FillHoleBuilder::SetDefaultEdgeContinuity ( NXOpen::Features::FillHoleBuilder::ContinuityTypes  defaultEdgeContinuity)

Sets the default continuity of edges.

The default continuity will be applied to new selected edges
Created in NX10.0.0.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
defaultEdgeContinuitydefaultedgecontinuity
void NXOpen::Features::FillHoleBuilder::SetFullnessPoint ( NXOpen::Point point)

Sets the point at corner A.


Created in NX9.0.1.

License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
pointpoint
void NXOpen::Features::FillHoleBuilder::SetPatch ( bool  patch)

Sets the patch into part flag
Created in NX9.0.1.



License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
patchpatch
void NXOpen::Features::FillHoleBuilder::SetPickPoint ( const NXOpen::Point3d pickPoint)

Sets the picking point on the facet body
Created in NX10.0.0.



License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
pickPointpickpoint
void NXOpen::Features::FillHoleBuilder::SetShapeControlType ( NXOpen::Features::FillHoleBuilder::ShapeControlTypes  shapeControlType)

Sets the shape control type
Created in NX9.0.1.



License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
shapeControlTypeshapecontroltype
void NXOpen::Features::FillHoleBuilder::SetTolerance ( double  double0)

Sets the tolerance
Created in NX9.0.1.



License requirements : nx_freeform_1 ("basic freeform modeling"), solid_modeling ("SOLIDS MODELING")

Parameters
double0double0
NXOpen::Features::FillHoleBuilder::ShapeControlTypes NXOpen::Features::FillHoleBuilder::ShapeControlType ( )

Returns the shape control type
Created in NX9.0.1.



License requirements : None

double NXOpen::Features::FillHoleBuilder::Tolerance ( )

Returns the tolerance
Created in NX9.0.1.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.